[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: be true

Holger Levsen holger at moszumanska.debian.org
Sun Sep 20 18:29:47 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 276736e8b7e17918e50d83bc1b031fa92c554ad9
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sun Sep 20 20:29:30 2015 +0200

    reproducible: be true
---
 bin/reproducible_build.sh  | 4 ++--
 bin/reproducible_common.sh | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 4c1208f..6919b76 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -306,7 +306,7 @@ call_diffoscope_on_changes_files() {
 	# TEMP is recognized by python's tempfile module to create temp stuff inside
 	local TEMP=$(mktemp --tmpdir=$TMPDIR -d dbd-tmp-XXXXXXX)
 	DIFFOSCOPE="$(schroot --directory $TMPDIR -c source:jenkins-reproducible-${DBDSUITE}-diffoscope diffoscope -- --version 2>&1 || true)"
-	LOG_RESULT=$(echo $DIFFOSCOPE | grep '^E: 15binfmt: update-binfmts: unable to open')
+	LOG_RESULT=$(echo $DIFFOSCOPE | grep '^E: 15binfmt: update-binfmts: unable to open' || true)
 	if [ ! -z "LOG_RESULT" ] ; then
 		echo "$(date -u) - schroot jenkins-reproducible-${DBDSUITE}-diffoscope not availble, will sleep 2min and retry."
 		sleep 2m
@@ -326,7 +326,7 @@ call_diffoscope_on_changes_files() {
 			$TMPDIR/b2/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes" \
 	2>&1 ) >> $TMPLOG
 	RESULT=$?
-	LOG_RESULT=$(grep '^E: 15binfmt: update-binfmts: unable to open' $TMPLOG)
+	LOG_RESULT=$(grep '^E: 15binfmt: update-binfmts: unable to open' $TMPLOG || true)
 	if [ ! -z "LOG_RESULT" ] ; then
 		rm -f $TMPLOG $TMPDIR/${DBDREPORT} $TMPDIR/$DBDTXT
 		echo "$(date -u) - schroot jenkins-reproducible-${DBDSUITE}-diffoscope not availble, will sleep 2min and retry."
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index c6e8a9f..99acef4 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -441,7 +441,7 @@ call_diffoscope() {
 			$TMPDIR/b2/$1/$2 2>&1 \
 	) 2>&1 >> $TMPLOG
 	RESULT=$?
-	LOG_RESULT=$(grep '^E: 15binfmt: update-binfmts: unable to open' $TMPLOG)
+	LOG_RESULT=$(grep '^E: 15binfmt: update-binfmts: unable to open' $TMPLOG || true)
 	if [ ! -z "LOG_RESULT" ] ; then
 		rm -f $TMPLOG $TMPDIR/$1/$2.html
 		echo "$(date -u) - schroot jenkins-reproducible-${DBDSUITE}-diffoscope not availble, will sleep 2min and retry."

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list